ignite-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Igor Sapego <isap...@gridgain.com>
Subject Re: Problem with ODBC
Date Wed, 15 Feb 2017 15:09:09 GMT
Alexey Danilov wrote
> Hello
> 
> We try to use ODBC driver (x86 version)
> I compile src with VC2010, install this driver, configure setup and when
> want to connect ... receive
> messaage "ODBC version is not supported" ... I enable ODBC trace:
> (and adding some LOG_MSG into entry_points.cpp (SQLAllocHandle and
> SQLSetEnvAttr)
> 
> SQLAllocHandle: entry_points:SQLAllocHandle called: 1 00669B64
> ignite::SQLAllocHandle: odbc:SQLAllocHandle called
> ignite::SQLAllocEnv: SQLAllocEnv called
> SQLSetEnvAttr: entry_points:SQLSetEnvAttr called: 200 00000002, 0
> ignite::SQLSetEnvAttr: SQLSetEnvAttr called
> ignite::odbc::diagnostic::DiagnosableAdapter::AddStatusRecord: Adding new
> record: ODBC version is not supported.
> 
> 
> In Environment odbcVersion=3, but when calling SQLSetEnvAttr from
> ODBC32.DLL in paramenters attr=200,value=2 !?

Alexey,

First of all, please properly subscribe to the mailing list so that the
community
can receive email notifications for your messages. To subscribe, send empty
email to user-subscribe@ignite.apache.org and follow simple instructions in
the reply.

Let me clarify, do you mean that you call SQLSetEnvAttr(...,
SQL_ATTR_ODBC_VERSION, SQL_OV_ODBC3) but driver manager changes it to
SQL_OV_ODBC2?

If this is true this it really weird. Can you specify which OS do you use?




--
View this message in context: http://apache-ignite-users.70518.x6.nabble.com/Problem-with-ODBC-tp10629p10651.html
Sent from the Apache Ignite Users mailing list archive at Nabble.com.

Mime
View raw message